Set Occupant Presence Status

This endpoint allows you to set the real-time presence status of an Occupant within your Maptician environment. The presence can only be set for the current point in time, and cannot be set for past or future times.

This is generally intended to be the receiving endpoint for a connection to an access control system, network monitor, or other source or real-time presence data. Presence states are set immediately and end at the earlier of, the setting of a new presence state for this Occupant, the end of the day, the configured end of the workday for this environment.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

To set an Occupant's presence status, you must identify the Occupant, target presence state, and optionally a location to associate with their status, if applicable.

A presence event is usually composed of up to three elements

  1. A status indicating what presence state an individual will assume
  2. An identifier for the individual occupant being impacted. This may be accomplished in multiple ways including, userID, email, employee ID, externalId, and name.
  3. If the Occupant is at a location, an identifier for that location. This can be either the officeID or location name.
uuid

The unique identifier that Maptician assigns to each Occupant and User. This can be obtained through Maptician's API. This is the highest priority item in identifying a target for the presence operation.

string

The email (case insensitive) of the Occupant or User subject to the presence operation. This must match their email within the Maptician environment. This is the second highest priority in identifying an individual.

string

A string representing the individual's employee ID or other organization specific identifier. This values must match (case sensitive) the value of Employee ID in the Maptician environment for this individual. This is the the third highest priority for identifying an individual.

string

A string representing an identifier set by the SCIM provisioner or otherwise set within Maptician to represent a specific individual. This is an infrequently used method and will not be applicable to most environments. This has the fourth highest priority for identifying an individual.

string

A strong representing the concatenated first and last name of the individual. These values must match the first and last names found within Maptician (case insensitive). There is a potential for multiple matching users being found - the action will apply to the first matched individual only. This method is not recommended due to this potential ambiguity if any other matching mode is possible.

string

The first/given name of an individual. Must be used in conjunction with 'last' and will result in the same outcome as using the concatenated value in 'name'

string

The last/family name of an individual. Must be used in conjunction with 'first' and will result in the same outcome as using the concatenated value in 'name'

uuid

The unique identifier for a location within a Maptician environment. This usually refers to a building, which is then composed of one or more floors and suites. This identifier is usually found through the Maptician API. This value has the highest priority for matching a location within this API. It is only necessary when status value 'at_location' is used.

string

The name of the location where an 'at_location' presence state should be associated with. This is an alternative to officeID and must match the location name (case insensitive) within the Maptician environment exactly.

string
enum
required

Indicates the new status the specified occupant will take. If the value is 'clear', then any current status will be cleared and the occupant's status will not be set.

Allowed:
string

The unique identifier of the floor map to associate with this presence event. Retrieve valid mapID values from GET /ext/v1/maps. If omitted, any previously stored mapID for the active presence record is cleared.

Headers
string
required

Authorization token to access the API.

Responses

500

Server Error

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json